﻿using GrapeCity.ActiveReports;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace PrintTestReport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string filePath = Application.StartupPath + @"\..\..\SectionReport1.rpx";
            var report = new SectionReport();
            report.LoadLayout(XmlReader.Create(filePath));
            report.PageSettings.Duplex = System.Drawing.Printing.Duplex.Horizontal;
            report.Run();
            if (report.Document.Pages.Count % 2 != 0)
            {
                report.Document.Pages.Add(new GrapeCity.ActiveReports.Document.Section.Page());
            }
            
            viewer1.LoadDocument(report.Document);
        }
    }
}
